- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Version.cpp File Reference

`#include <osgText/Version>`

Include dependency graph for ext/Version.cpp:

## Functions
const char * | osgTextGetVersion ()
| getVersion_osg() returns the library version number.
const char * | osgTextGetLibraryName ()
| osgTextGetLibraryName() returns the library name in human friendly form.

## Function Documentation

const char* osgTextGetLibraryName | ( |  | ) |

| osgTextGetLibraryName() returns the library name in human friendly form.

const char* osgTextGetVersion | ( |  | ) |

| getVersion_osg() returns the library version number. Numbering convention : osg_src-0.8-31 will return 0.8.31 from getVersion_osg. This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB. Here is the code to add to your configure.in:
     #
     # Check for the OpenSceneGraph (OSG) library
     #
     AC_CHECK_LIB(osg, osgTextGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph library not found. See http://www.openscenegraph.org)],)